## org.apache.bcel.util
Class ClassQueue

    java.lang.Object
      org.apache.bcel.util.ClassQueue

All Implemented Interfaces:
  Serializable

    public class ClassQueue

extends Object
implements Serializable

Utility class implementing a (typesafe) queue of JavaClass objects.

Version:
  $Id: ClassQueue.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary
`protected LinkedList` `vec`

Constructor Summary
`ClassQueue()`

Method Summary
`JavaClass` `dequeue()`
`boolean` `empty()`
`void` `enqueue(JavaClass clazz)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### vec

    protected LinkedList vec

Constructor Detail

### ClassQueue

    public ClassQueue()

Method Detail

### enqueue

    public void enqueue(JavaClass clazz)

### dequeue

    public JavaClass dequeue()

### empty

    public boolean empty()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.